module RipsererDataPrep

# Write your package code here.
function prep_data(df, starting_row::Int64 = -1, ending_row::Int64 = -1, starting_col::Int64 = -1, ending_col::Int64 = -1)

    if (starting_row != -1 && ending_row != -1)
        row_temp = df[starting_row:ending_row, :] #I might need to define this above before hand like in C++

    elseif (starting_row == -1 && ending_row == -1)
        row_temp = df

    else print("Invalid input. If a starting_row val is given, an ending_row val must be given as well.")
    end

    if (starting_col != -1 && ending_col != -1)
        col_temp = row_temp[:, starting_col:ending_col]

    elseif (starting_col == -1 && ending_col == -1)
        col_temp = row_temp

    else print("Invalid input. If a starting_col val is given, an ending_col val must be given as well")
    end


    y = transpose(Array(col_temp))

    z = [tuple(y[:,c]...) for c in 1:size(y, 2)]

    return z
end
end
